Home

# Class goog.crypt.Md5

MD5 cryptographic hash constructor.

extends goog.crypt.Hash

Instance Method Summary
| `compress_((Array.<number>|Uint8Array|null|string) buf, number= opt_offset)` Internal compress helper function. It takes a block of data (64 bytes) and updates the accumulator.
| `digest() ⇒ ?Array.<number>`
| `reset()` Resets the internal accumulator.
| `update((Array.<number>|Uint8Array|null|string) bytes, number= opt_length)` Adds a byte array (array with values in [0-255] range) or a string (might only contain 8-bit, i.e., Latin1 characters) to the internal accumulator.